(function($){
	"use strict";
	

	$(window).on('elementor/frontend/init', function () {
		
        elementorFrontend.hooks.addAction('frontend/element_ready/hotelft_elementor_simple_image_carousel.default', function(){
	       
	        /* Add your code here */
	    	
	    	$(".simple-image-carousel").each(function(){
		        var owlsl = $(this) ;
		        var owlsl_ops = owlsl.data('options') ? owlsl.data('options') : {};

		        var responsive_value = {
		            0:{
		              items:1,
		              stagePadding : 0,
		            },
		            767:{
		              stagePadding : 120,
		            },
		            1266:{
		              items:owlsl_ops.items,
		              stagePadding : owlsl_ops.stagePadding,
		            }
		        };
		        
		        var carousel = owlsl.owlCarousel({
		          stagePadding: owlsl_ops.stagePadding,
		          autoWidth: owlsl_ops.autoWidth,
		          margin: owlsl_ops.margin,
		          items: owlsl_ops.items,
		          loop: owlsl_ops.loop,
		          autoplay: owlsl_ops.autoplay,
		          autoplayTimeout: owlsl_ops.autoplayTimeout,
		          center: owlsl_ops.center,
		          dots: owlsl_ops.dots,
		          nav: owlsl_ops.nav,
		          thumbs: owlsl_ops.thumbs,
		          autoplayHoverPause: owlsl_ops.autoplayHoverPause,
		          slideBy: owlsl_ops.slideBy,
		          smartSpeed: owlsl_ops.smartSpeed,
		          rtl: owlsl_ops.rtl,
		          navText:[
		          	'<i class="'+ owlsl_ops.nav_left +'"></i>',
		          	'<i class="'+ owlsl_ops.nav_right +'"></i>'
		          ],
		          responsive: responsive_value,
		        });

		        carousel.imagesLoaded( function() {
					carousel.trigger( 'refresh.owl.carousel' );
				});

		    }); 

        });


   });

})(jQuery);
