(function($){
	"use strict";
	

	$(window).on('elementor/frontend/init', function () {
		
        elementorFrontend.hooks.addAction('frontend/element_ready/hotelft_elementor_place_slide.default', function(){
	       
	        /* Add your code here */
	    	
	    	$(".ova-place-slide .place-slide").each(function(){
		        var owlsl = $(this) ;
		        var owlsl_ops = owlsl.data('options') ? owlsl.data('options') : {};

		        var responsive_value = {
		            0:{
		               items:1,
		            },
		            767:{
		               items:1,
		            },
		            900:{
		               items:1.5,
		            },
		            1300:{
		              items:owlsl_ops.items,
		            }
		        };
		        
		        var carousel = owlsl.owlCarousel({
		        	navContainer : '.ova-nav',
		            margin: owlsl_ops.margin,
		            items: owlsl_ops.items,
		            loop: owlsl_ops.loop,
		            autoplay: owlsl_ops.autoplay,
		            autoplayTimeout: owlsl_ops.autoplayTimeout,
		            center: owlsl_ops.center,
		            dots: owlsl_ops.dots,
		            nav: owlsl_ops.nav,
		            thumbs: owlsl_ops.thumbs,
		            autoplayHoverPause: owlsl_ops.autoplayHoverPause,
		            slideBy: owlsl_ops.slideBy,
		            smartSpeed: owlsl_ops.smartSpeed,
		            rtl: owlsl_ops.rtl,
		            navText:[
		          	  '<i class="'+ owlsl_ops.nav_left +'"></i>',
		          	  '<i class="'+ owlsl_ops.nav_right +'"></i>'
		            ],
		            responsive: responsive_value,
		        });

		        /* Fixed WCAG */
		      	owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
				owlsl.find(".owl-nav button.owl-next").attr("title", "Next");

                // add text place info on change image slide active
				function add_text_info_place() {
					var that                = owlsl.find('.active-place');
					var item                = that.find('.item');
					var place_wrapper       = item.closest('.ova-place-slide').find('.info .place');
					var distance_wrapper    = item.closest('.ova-place-slide').find('.info .distance');
					var description_wrapper = item.closest('.ova-place-slide').find('.info .description');
					var place               = item.data('place');
					var distance            = item.data('distance');
					var description         = item.data('description');
					place_wrapper.text(place);
					distance_wrapper.text(distance);
					description_wrapper.text(description);
				}

		        /*****First Load********/
				owlsl.find('.owl-item.active').each( function(i) {
					if ( i === 0 ) {
						$(this).addClass('active-place');
					}

					add_text_info_place();
				});

                /*****On Changed********/
				owlsl.on('changed.owl.carousel', function(event) {
					var that = $(this);
					that.find('.owl-item').removeClass('active-place');
					var index = event.item.index;
					that.find('.owl-item').each( function(i) {
						if ( i === index ) {
							$(this).addClass('active-place');
						}
					});

					add_text_info_place();
				});
				
                /*****On Dragged********/
				owlsl.on('dragged.owl.carousel', function(event) {
					var that = $(this);
					that.find('.owl-item').removeClass('active-place');
					that.find('.owl-item.active:first').addClass('active-place');

					add_text_info_place();
				});

		    }); 

        });


   });

})(jQuery);
